<script>
  // Dimensions
  const width = 800;
  const height = 100;
  const margin = { top: 20, right: 5, bottom: 5, left: 5 };
  const innerWidth = width - margin.left - margin.right;
  const innerHeight = height - margin.top - margin.bottom;

  // Array
  const values = [
    { x: 2, y: 1, category: "cat1" },
    { x: 4, y: 2, category: "cat3" },
    { x: 6, y: 1, category: "cat2" },
    { x: 7, y: 3, category: "cat3" },
    { x: 9, y: 1, category: "cat2" }
  ];

import {scaleLinear, scaleOrdinal} from 'd3-scale';
import {schemeDark2} from 'd3-scale-chromatic';
import {extent} from 'd3-array';



const extenty = extent([1,2,1,3,1])
const scalex = scaleLinear().domain([0,10]).range([0,innerWidth]);
const scaley = scaleLinear().domain(extenty).range([innerHeight,30]);
const colourscale = scaleOrdinal().domain([1,10]).range(schemeDark2)
</script>

<svg viewBox="0 0 {width} {height}">
  <g transform="translate({margin.left},{margin.bottom/3})">
    <!--  -->
    {#each values as value}
       <line x1={scalex(value.x)} y1={scaley(value.y)} x2={scalex(value.x)} y2={95} stroke='black' />
       <line x1={margin.left} y1=95 x2=790 y2=95 stroke='black'/>
       <circle cx={scalex(value.x)} cy={scaley(value.y)} r=5 style = {'fill:' + colourscale(value.category)}/>
       <text x={scalex(value.x)} y={scaley(value.y)-6} r=10 class='valueLabel' >
        {value.y}
       </text> 
       {/each}

  </g>
</svg>

<style>
  text {
    text-anchor: middle;
    font-size: small;
  }
</style>
